#include <iostream>


using namespace std;


int main()
{
	long long n, m;
	cin>>n>>m;
	long long p=(m-2)*(n-2);
	long long suma=n*2 + m*2 - 4 + p/2;
	if(n==1 || m==1)cout<<max(n, m);
	else
	cout<<suma;
	
}